CREATE TABLE `tt_categories` (
  `id` int(3) NOT NULL auto_increment,
  `type` int(1) NOT NULL default '0',
  `name` varchar(25) NOT NULL default '',
  `image` varchar(25) NOT NULL default 'image.gif',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM COMMENT='Categories + Subcategories';|

INSERT INTO `tt_categories` (`id`, `name`, `image`)  VALUES 
(1, 'Games - PC',  ''),
(2, 'Games -  Console',  ''),
(3, 'Games - Other',  ''),
(4, 'Movies - CAM-TS',  ''),
(5, 'Movies - DVDrip-DivX',  ''),
(6, 'Movies - Other', ''),
(7, 'Music - Top40', ''),
(8, 'Music - Album',  ''),
(9, 'Music - Audiobook',  ''),
(10, 'Music - Other',  ''),
(11, 'TV - Adult',  ''),
(12, 'TV - Kids',  ''),
(13, 'Apps - PC',  ''),
(14, 'Apps - PocketPC', ''),
(15, 'Apps - Other',  ''),
(16, 'Porn - Real',  ''),
(17, 'Porn - Hentai', ''),
(18, 'Anime - All',  ''),
(19, 'Misc', '');|

CREATE TABLE `tt_clients` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `client` varchar(32) NOT NULL default '',
  `agentString` varchar(64) NOT NULL default '',
  `freq` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM;|

INSERT INTO `tt_clients` VALUES (1, 'ABC', 'BitTorrent/ABC-', 0);|
INSERT INTO `tt_clients` VALUES (2, 'Azureus', 'Azureus', 0);|
INSERT INTO `tt_clients` VALUES (3, 'BitAnarch', 'Anarch', 0);|
INSERT INTO `tt_clients` VALUES (4, 'BitComet', 'Comet', 0);|
INSERT INTO `tt_clients` VALUES (5, 'BitSpirit', 'BitTorrent/BitSpirit', 0);|
INSERT INTO `tt_clients` VALUES (6, 'BitTorrent 3', 'BitTorrent/3.', 0);|
INSERT INTO `tt_clients` VALUES (7, 'BitTorrent++', '++', 0);|
INSERT INTO `tt_clients` VALUES (8, 'BitTornado', 'BitTorrent/T-', 0);|
INSERT INTO `tt_clients` VALUES (9, 'BTQueue', 'Queue', 0);|
INSERT INTO `tt_clients` VALUES (10, 'Burst', 'BitTorrent/brst', 0);|
INSERT INTO `tt_clients` VALUES (11, 'CTorrent', 'CTorrent', 0);|
INSERT INTO `tt_clients` VALUES (12, 'G3 Torrent', 'G3', 0);|
INSERT INTO `tt_clients` VALUES (13, 'Nova Torrent', 'Nova', 0);|
INSERT INTO `tt_clients` VALUES (14, 'PTC Bittorrent', 'PTC', 0);|
INSERT INTO `tt_clients` VALUES (15, 'Experimental', 'BitTorrent/S-', 0);|
INSERT INTO `tt_clients` VALUES (16, 'Shareaza', 'AZA', 0);|
INSERT INTO `tt_clients` VALUES (17, 'Torrentstorm', 'storm', 0);|
INSERT INTO `tt_clients` VALUES (18, 'TorrenTopia', 'Topia', 0);|
INSERT INTO `tt_clients` VALUES (19, 'TurbotBT', 'Turbo', 0);|
INSERT INTO `tt_clients` VALUES (20, 'UPnP BT Client', 'UPnP', 0);|
INSERT INTO `tt_clients` VALUES (21, 'eMule', 'ed2k_plugin v', 0);|
INSERT INTO `tt_clients` VALUES (22, 'BitTorrent Linux', 'Python-urllib/', 0);|
INSERT INTO `tt_clients` VALUES (27, 'BitTorrent Plus!', 'Plus!', 0);|
INSERT INTO `tt_clients` VALUES (23, 'eDonkey', 'MLdonkey/', 0);|
INSERT INTO `tt_clients` VALUES (24, 'eDonkey', 'MLdonkey', 0);|
INSERT INTO `tt_clients` VALUES (25, 'BTManager', 'BitTorrent/BTManager', 0);|
INSERT INTO `tt_clients` VALUES (26, 'Shareaza', 'Shareaza', 0);|
INSERT INTO `tt_clients` VALUES (28, 'eXeem', 'eXeem', 0);|
INSERT INTO `tt_clients` VALUES (29, 'XanTorrent', 'DansClient', 0);|
INSERT INTO `tt_clients` VALUES (30, 'BitTornado', 'BitTornado/T-', 0);|
INSERT INTO `tt_clients` VALUES (31, 'BitTorrent 4', 'BitTorrent/4.', 0);|


-- --------------------------------------------------------

-- 
-- Structure de la table `tt_comments`
-- 

CREATE TABLE `tt_comments` (
  `id` int(11) NOT NULL auto_increment,
  `torrentid` int(11) NOT NULL default '0',
  `userid` int(11) NOT NULL default '0',
  `subject` varchar(255) NOT NULL default '',  
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `comment` text NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM ;|

-- --------------------------------------------------------

-- 
-- Structure de la table `tt_groups`
-- 

CREATE TABLE `tt_groups` (
  `id` int(10) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `color` varchar(30) NOT NULL default '',
  `description` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM ;|

INSERT INTO `tt_groups` VALUES (1, 'User', 'black', 'Simple user');|
INSERT INTO `tt_groups` VALUES (2, 'Moderator', 'navy', 'Moderator');|
INSERT INTO `tt_groups` VALUES (3, 'Administrator', 'red', 'Administrator');|
        

-- --------------------------------------------------------

-- 
-- Structure de la table `tt_guests`
-- 

CREATE TABLE `tt_guests` (
  `ip` varchar(15) NOT NULL default '',
  `time` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`ip`),
  UNIQUE KEY `IP` (`ip`)
) TYPE=HEAP;|

-- --------------------------------------------------------

-- 
-- Structure de la table `tt_languages`
-- 

CREATE TABLE `tt_languages` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `file` varchar(255) NOT NULL default '',
  `name` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=3 ;|

INSERT INTO `tt_languages` values ('', 'lang/lang-eng.php', 'English');|

-- --------------------------------------------------------

-- 
-- Structure de la table `tt_members`
-- 

CREATE TABLE `tt_members` (
  `id` int(10) NOT NULL auto_increment,
  `username` varchar(50) NOT NULL default '',
  `password` varchar(32) NOT NULL default '',
  `passkey` varchar(32) NOT NULL default '',
  `ip` varchar(25) NOT NULL default '',
  `groups` varchar(25) NOT NULL default '',
  `email` varchar(255) NOT NULL default '',
  `status` enum('pending','confirmed','disabled') NOT NULL default 'pending',
  `donated` int(11) NOT NULL default '0',
  `added` datetime NOT NULL default '0000-00-00 00:00:00',
  `lastvisit` datetime NOT NULL default '0000-00-00 00:00:00',
  `theme` int(2) NOT NULL default '1',
  `perpage` int(4) NOT NULL default '25',
  `language` int(2) NOT NULL default '1',
  `uploaded` bigint(20) unsigned NOT NULL default '0',
  `downloaded` bigint(20) unsigned NOT NULL default '0',
  `ulspeed` bigint(20) unsigned NOT NULL default '0',
  `dlspeed` bigint(20) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `username` (`username`),
  KEY `status_added` (`status`,`added`)
) TYPE=MyISAM PACK_KEYS=0;|

-- --------------------------------------------------------

-- 
-- Structure de la table `tt_messages`
-- 

CREATE TABLE `tt_messages` (
  `id` int(10) NOT NULL auto_increment,
  `sent_to` int(10) NOT NULL default '0',
  `sent_by` int(10) NOT NULL default '0',
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `subject` varchar(255) NOT NULL default '',
  `message` text NOT NULL,
  `read` enum('yes','no') NOT NULL default 'no',
  `hidden` enum('yes','no') NOT NULL default 'no',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;|

-- --------------------------------------------------------

-- 
-- Structure de la table `tt_news`
-- 

CREATE TABLE `tt_news` (
  `id` int(10) NOT NULL auto_increment,
  `member` int(10) NOT NULL default '0',
  `added` datetime NOT NULL default '0000-00-00 00:00:00',
  `text` text NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;|

-- --------------------------------------------------------

-- 
-- Structure de la table `tt_settings`
-- 

CREATE TABLE `tt_settings` (
  `id` int(3) NOT NULL auto_increment,
  `setting` varchar(25) NOT NULL default '',
  `value` varchar(255) NOT NULL default '',
  `default_value` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM COMMENT='TorrentTrader Settings';|

-- --------------------------------------------------------

-- 
-- Structure de la table `tt_shoutbox`
-- 

CREATE TABLE `tt_shoutbox` (
  `user` varchar(50) NOT NULL default '0',
  `message` varchar(255) NOT NULL default '',
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `userid` int(8) unsigned NOT NULL default '0'
) TYPE=HEAP;|





CREATE TABLE `tt_shoutbox_emoticons` (
  `id` int(9) NOT NULL auto_increment,
  `text` varchar(20) NOT NULL default '',
  `image` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM;|

-- 
-- Contenu de la table `tt_shoutbox_emoticons`
-- 

INSERT INTO `tt_shoutbox_emoticons` VALUES (2, '%-(', 'sigh.gif');|
INSERT INTO `tt_shoutbox_emoticons` VALUES (4, ':grr:', 'upset.gif');|
INSERT INTO `tt_shoutbox_emoticons` VALUES (6, ':mad:', 'mad.gif');|
INSERT INTO `tt_shoutbox_emoticons` VALUES (7, ':yes:', 'yes.gif');|
INSERT INTO `tt_shoutbox_emoticons` VALUES (8, ':no:', 'no.gif');|
INSERT INTO `tt_shoutbox_emoticons` VALUES (9, ':shy:', 'shy.gif');|
INSERT INTO `tt_shoutbox_emoticons` VALUES (10, ':laugh:', 'laugh.gif');|
INSERT INTO `tt_shoutbox_emoticons` VALUES (11, ':dead:', 'dead.gif');|
INSERT INTO `tt_shoutbox_emoticons` VALUES (12, ':cry:', 'cry.gif');|
INSERT INTO `tt_shoutbox_emoticons` VALUES (13, ':-)', 'smile.gif');|
INSERT INTO `tt_shoutbox_emoticons` VALUES (14, ':-(', 'sad.gif');|
INSERT INTO `tt_shoutbox_emoticons` VALUES (15, ';-)', 'smilewinkgrin.gif');|
INSERT INTO `tt_shoutbox_emoticons` VALUES (17, 'B-)', 'cool.gif');|
INSERT INTO `tt_shoutbox_emoticons` VALUES (18, ':-D', 'biggrin.gif');|
INSERT INTO `tt_shoutbox_emoticons` VALUES (19, ':-b', 'bigrazz.gif');|
INSERT INTO `tt_shoutbox_emoticons` VALUES (20, ':-o', 'bigeek.gif');|
INSERT INTO `tt_shoutbox_emoticons` VALUES (21, ':)', 'smile.gif');|
INSERT INTO `tt_shoutbox_emoticons` VALUES (22, ':D', 'biggrin.gif');|
INSERT INTO `tt_shoutbox_emoticons` VALUES (23, ':(', 'sad.gif');|


CREATE TABLE `tt_shoutbox_censor` (
  `word` varchar(10) default '0',
  KEY `word` (`word`)
) TYPE=MyISAM;|


INSERT INTO `tt_shoutbox_censor` VALUES('cock');|
INSERT INTO `tt_shoutbox_censor` VALUES('fuck');|
INSERT INTO `tt_shoutbox_censor` VALUES('shit');|

-- --------------------------------------------------------

-- 
-- Structure de la table `tt_themes`
-- 

CREATE TABLE `tt_themes` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `file` varchar(255) NOT NULL default '',
  `name` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;|

INSERT INTO `tt_themes` values ('', 'firefirst', 'Fire First');|
INSERT INTO `tt_themes` values ('', 'iceblue', 'Ice Blue');|
INSERT INTO `tt_themes` values ('', 'sandstone', 'Sand Stone');| 

-- --------------------------------------------------------

-- 
-- Structure de la table `tt_torrents`
-- 

CREATE TABLE `tt_torrents` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `info_hash` blob,
  `name` varchar(255) NOT NULL default '',
  `filename` varchar(255) NOT NULL default '',
  `nfo_filename` varchar(255) NOT NULL default '',
  `img_filename` varchar(255) NOT NULL default '',
  `descr` text NOT NULL,
  `category` int(10) unsigned NOT NULL default '0',
  `lang` varchar(255) NOT NULL default '',
  `group` varchar(255) NOT NULL default '',
  `size` bigint(20) unsigned NOT NULL default '0',
  `added` datetime NOT NULL default '0000-00-00 00:00:00',
  `type` enum('single','multi') NOT NULL default 'single',
  `files` int(10) unsigned NOT NULL default '0',
  `comments` int(10) unsigned NOT NULL default '0',
  `views` int(10) unsigned NOT NULL default '0',
  `hits` int(10) unsigned NOT NULL default '0',
  `completed` int(10) unsigned NOT NULL default '0',
  `leechers` int(10) unsigned NOT NULL default '0',
  `seeders` int(10) unsigned NOT NULL default '0',
  `last_action` datetime NOT NULL default '0000-00-00 00:00:00',
  `visible` enum('yes','no') NOT NULL default 'yes',
  `banned` enum('yes','no') NOT NULL default 'no',
  `owner` int(10) unsigned NOT NULL default '0',
  `numratings` int(10) unsigned NOT NULL default '0',
  `ratingsum` int(10) unsigned NOT NULL default '0',
  `ulspeed` bigint(20) unsigned NOT NULL default '0',
  `dlspeed` bigint(20) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `info_hash` (`info_hash`(20)),
  KEY `owner` (`owner`),
  KEY `visible` (`visible`),
  KEY `category_visible` (`category`,`visible`),
  FULLTEXT KEY `ftsearch` (`descr`)
) TYPE=MyISAM;|

-- --------------------------------------------------------

-- 
-- Structure de la table `tt_torrents_files`
-- 

CREATE TABLE `tt_torrents_files` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `torrent` int(10) unsigned NOT NULL default '0',
  `filename` varchar(255) NOT NULL default '',
  `size` bigint(20) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `torrent` (`torrent`)
) TYPE=MyISAM;|

-- --------------------------------------------------------

-- 
-- Structure de la table `tt_torrents_peers`
-- 

CREATE TABLE `tt_torrents_peers` (
  `torrent` int(10) unsigned NOT NULL default '0',
  `peer_id` varchar(32) binary NOT NULL default '',
  `ip` varchar(64) NOT NULL default '',
  `port` smallint(5) unsigned NOT NULL default '0',
  `passkey` varchar(32) NOT NULL default '',
  `uploaded` bigint(20) unsigned NOT NULL default '0',
  `downloaded` bigint(20) unsigned NOT NULL default '0',
  `to_go` bigint(20) unsigned NOT NULL default '0',
  `seeder` enum('yes','no') NOT NULL default 'no',
  `started` datetime NOT NULL default '0000-00-00 00:00:00',
  `last_action` datetime NOT NULL default '0000-00-00 00:00:00',
  `connectable` enum('yes','no') NOT NULL default 'yes',
  `ulspeed` bigint(20) unsigned NOT NULL default '0',
  `dlspeed` bigint(20) unsigned NOT NULL default '0',
  `userid` int(11) NOT NULL default '0',
  `client_id` int(10) unsigned NOT NULL default '0',
  `client_ver` varchar(10) NOT NULL default '',
  `agent` varchar(60) NOT NULL default '',
  `finishedat` int(10) unsigned NOT NULL default '0',
  `lastdown` bigint(20) unsigned NOT NULL default '0',
  `lastup` bigint(20) unsigned NOT NULL default '0',
  UNIQUE KEY `torrent_peer_id` (`torrent`,`peer_id`),
  KEY `torrent` (`torrent`),
  KEY `torrent_seeder` (`torrent`,`seeder`),
  KEY `last_action` (`last_action`)
) TYPE=HEAP;







