<?php
/**
 * TorrentTrader v2.0 RC1
 *  - Coded by Sqrtboy (sqrtboy@phpsoft.org)
 *  - Released under the GPL licence
 *  - Support/Hacks/Discussion @ http://www.torrenttrader.com
 *  - Email: sqrtboy@phpsoft.org
 **/
 
session_start();
require_once('core.php');

/* cache templates */
tt_cache(120, 'no');

/* check user is a member */
tt_members_only();

/* initiate template class */
tt_template_start('Details');



$id = isset($_GET['id']) ? addslashes(intval($_GET['id'])) : false;
$do = isset($_GET['do']) ?  addslashes($_GET['do']) : false;
$comment_add = isset($_POST['addcomment']) ?  addslashes($_POST['addcomment']) : false;
$comment_comment = isset($_POST['comment']) ?  addslashes($_POST['comment']) : false;
$comment_subject = isset($_POST['subject']) ?  addslashes($_POST['subject']) : false;
$errors = false;

if (isset($id))
	{
	$db->query('UPDATE '.$dbprfx.'torrents SET views=views+1 WHERE id = "'.$id.'" ');
	}
else tt_warning('ERROR', 'Invalid torrent id', 'error');
	
if($comment_add)
	{
	for( $check = 0; $check < 1; $check++)
		{
		/* make sure message is not blank */
		if(!$comment_comment)
			{
			tt_warning('ERROR', 'You did not enter any text!', 'error');
			$errors = true;
			break;
			}
			
		if(!$errors)
			{
			$db->query('INSERT INTO '.$dbprfx.'comments (torrentid, userid, date, subject, comment) VALUES ("'.$id.'", "'.$CURUSER['id'].'", NOW(), "'.strip_tags($comment_subject).'", "'.strip_tags($comment_comment).'")');
			tt_warning('SUCCESS', 'Your Comment Was Added', 'success');
			unset($comment_subject); 
			unset($comment_comment);
			}	
		}
	}

$details = $db->fetch_row('SELECT * FROM '.$dbprfx.'torrents WHERE id = "'.$id.'" ');

$name = $db->fetch_row('SELECT * FROM '.$dbprfx.'members WHERE id = "'.$details['owner'].'" ');
if ($name['username']=="")
$name['username'] = "&nbsp;";
$detailslist[] = array(
	'name' => $details ['name'],
	'info_hash' => $details ['info_hash'],
    'added' => $details ['added'],
    'category' => $details ['category'],
    'hits' => $details ['hits'],
    'views' => $details ['views'],
    'descr' => $details ['descr'],
    'size' => tt_filesize($details ['size']),
    'last_action' => $details ['last_action'],
    'seeders' => $details ['seeders'],
    'leechers' => $details ['leechers'],
    'owner' => $name['username'],
	'filename' => $details ['filename']);
	$tpl->addVar('detailslist', $detailslist);

/* output page */
$tpl->display('theme/' . $tt_theme . '/templates/torrents_details.tpl', $id);

$tpl->display('theme/' . $tt_theme . '/templates/torrents_details_descr.tpl', $id);

$files1 = $db->query('SELECT * FROM '.$dbprfx.'torrents_files WHERE torrent = "'.$id.'" ');
$torrentfiles = array();
while ($files=$db->fetch_array($files1))
{
$torrentfiles[] = array(
	'filename' => $files['filename'],
	'size' => tt_filesize($files['size']));
}

$tpl->addVar('torrentfiles', $torrentfiles);

$tpl->display('theme/' . $tt_theme . '/templates/torrents_details_files.tpl', $id);

$peers1 = $db->query('SELECT * FROM '.$dbprfx.'torrents_peers WHERE torrent = "'.$id.'" ');
$torrentpeers = array();
while ($peers=$db->fetch_array($peers1))
{
$torrentpeers[] = array(
	'ip' => is_in_group($CURUSER['groups'],"Moderator") ? $peers["ip"] : preg_replace('/\.\d+$/', ".xxx", $peers["ip"]),
	'connectable' => ($peers['connectable'] == 'yes') ? $peers['connectable'] : '<font color="red">'.$peers['connectable'].'</font>',
    'uploaded' => tt_filesize($peers['uploaded']),
    'downloaded' => tt_filesize($peers['downloaded']),
    'ulspeed' => tt_filesize($peers['ulspeed']).'/s',
    'dlspeed' => tt_filesize($peers['dlspeed']).'/s',
    'ratio' => $peers['ratio'],
    'complete' => ( $peers['seeder'] == 'yes') ? '<font color="green">'.$peers['seeder'].'</font>' : '<font color="blue">'.$peers['seeder'].'</font>',
    'connected' => $peers['started'],
    'idle' => $peers['last_action'],
    'client' => isset($peers['client']) ? "?" : "?") // client detection will be added in next version
	;
}

$tpl->addVar('torrentpeers', $torrentpeers);

$tpl->display('theme/' . $tt_theme . '/templates/torrents_details_peers.tpl', $id);

/* get list of comments */
$result = $db->query('SELECT * FROM '.$dbprfx.'comments WHERE torrentid = "'.$id.'" ORDER BY date DESC');
$commentlist = array();
while ($row = $db->fetch_array($result))
	{
	$commentlist[] = array(
	'date' => $row['date'],
	'subject' => $bbcode->parse(nl2br($row['subject'])),
	'comment' => $bbcode->parse(nl2br($row['comment'])),
	'by' => tt_get_username($row['userid']),
	'userid' => $row['userid']) ;
	}
$tpl->addVar('commentlist', $commentlist);
$tpl->addVar('SITEURL',$SITEURL);


$tpl->display('theme/' . $tt_theme . '/templates/torrents_comments.tpl', $id);

tt_add_text(500, "tt.torrents.details.php?id=".$id."", "addcomment", "Add Comment", "", $comment_subject, $comment_comment,"","yes");

tt_template_end('torrents_details.tpl');

?>