<?php
/**
 * TorrentTrader v2.0 RC1
 *  - Coded by Sqrtboy (sqrtboy@phpsoft.org)
 *  - Released under the GPL licence
 *  - Support/Hacks/Discussion @ http://www.torrenttrader.com
 *  - Email: sqrtboy@phpsoft.org
 **/
 
session_start();
require_once('core.php');

/* initiate template class */
tt_template_start('Login');

/* prepare inputs */
$login_do = isset($_POST['login_do']) ? addslashes($_POST['login_do']) : false;
$login_user = isset($_POST['user']) ? addslashes($_POST['user']) : false;
$login_pass = isset($_POST['pass']) ? addslashes($_POST['pass']) : false;
$login_remember = isset($_POST['remember']) ? addslashes($_POST['remember']) : false;
$login_errors = false;
$login_success = false;

/* check if member is logged in */
if($loggedin)
	{
	tt_warning('ERROR', 'You are already logged in.', 'error');
	}
	else
	{
	/* process form */
	if($login_do)
		{
		for( $check = 0; $check < 5; $check++)
		{
		/* check that all fields were typed in */
	   	if(!$login_user || !$_POST['pass'])
	   		{
	      	tt_warning('ERROR', 'Please complete all required (<font color=\'#CC0000\'>*</font>) fileds.', 'error');
	        $errors = true;
			break;
	   		}

	   	/* spruce up username, check length */
	   	$login_user = trim($login_user);
	   	if(strlen($login_user) > 30)
	   		{
			tt_warning('ERROR', 'Maximum user length is 30 characters.', 'error');
			$errors = true;
			break;
	   		}

	   	/* check that username is in database and password is correct */
	   	$md5pass = md5($login_pass);
	   	$result = tt_confirm_member($login_user, $md5pass);

	   	/* check error codes */
	   	if($result == 1)
	   		{
			tt_warning('ERROR', 'Username/Password is incorrect.', 'error');
			$errors = true;
			break;
	   		}
	   		else if($result == 2)
	   		{
			tt_warning('ERROR', 'Username/Password is incorrect.', 'error');
			$errors = true;
			break;
	   		}
		}

		if(!isset($errors))
			{
	   		/* username and password correct, register session variables */
	   		$_SESSION['username'] = stripslashes($login_user);
	   		$_SESSION['password'] = $md5pass;

			/* does the member want to be remembered? */
		   	if(isset($login_remember))
		   		{
	      		setcookie("cookname", $_SESSION['username'], time()+60*60*24*100);
	      		setcookie("cookpass", $_SESSION['password'], time()+60*60*24*100);
	   			}

            $db->query("UPDATE ".$dbprfx."members SET lastvisit=NOW() WHERE username='".$_SESSION['username']."'");

			$success = true;
			}
		}

	/* success message */
	if($success)
		{
		tt_warning('SUCCESS', 'You are now logged in as '.$_SESSION["username"].'. Click here to continue to your <a href="tt.account.php">account</a>.', 'success');
		}
		else
		{
		$tpl->display('theme/' . $tt_theme . '/templates/user_login.tpl');
		}
	}

tt_template_end();

?>